# Soya 3D tutorial
# Copyright (C) 2004 Jean-Baptiste LAMY
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# facecutter-1: Face cuuter : a model beautifier

# 


# Import the Soya module.

import sys, os, os.path, random, soya

soya.init()
soya.path.append(os.path.join(os.path.dirname(sys.argv[0]), "data"))

# Creates a scene.

scene = soya.World()

# Loads the sword model twice
# (we use 'load' instead of 'get' since get would have returned the same object)

sword1 = soya.World.load("sword")
sword2 = soya.World.load("sword")

soya.toggle_wireframe()


volume1 = soya.Volume(scene, sword1.shapify())
volume1.set_xyz(-1.0, -0.5, 0.0)
volume1.rotate_vertical(90.0)
volume1.rotate_lateral (90.0)

volume2 = soya.Volume(scene, sword2.shapify())
volume2.set_xyz(1.0, -0.5, 0.0)
volume2.rotate_vertical(90.0)
volume2.rotate_lateral (90.0)

# Creates a light.

light = soya.Light(scene)
light.set_xyz(2.0, 5.0, 0.0)

# Creates a camera.

camera = soya.Camera(scene)
soya.set_root_widget(camera)
camera.set_xyz(0.0, 0.0, 3.0)

# Makes the camera looking at the head's initial position.
# The look_at method is another rotation method ; it makes any 3D object looking toward
# the given position (a 3D object or a Point), or in the given direction (if the argument
# is a Vector).

soya.Idler(scene).idle()
